proc shape_arrow {sw sl hw hl} {
    list [list	[list 0 0 0] \
		[list $hw 0 $hl] \
		[list $sw 0 $hl] \
		[list $sw 0 [expr $sl + $hl]] \
		[list -$sw 0 [expr $sl + $hl]] \
		[list -$sw 0 $hl] \
		[list -$hw 0 $hl] \
		] \
	 [list	[list 1 2 3 4 5 6 7 1] \
		[list 1 7 6 5 4 3 2 1] \
		]
}

proc mkarrow {w l sw sl hw hl args} {
    set shape [shape_arrow $sw $sl $hw $hl];
    $w create poly $l \
	    -shading smooth \
	    -average off \
	    -vertices [lindex $shape 0] \
	    -surfaces [lindex $shape 1];

    if {$args != ""} {
	eval "$w modelconfigure $l $args"
    }
}
